<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:a4j="http://richfaces.org/a4j"
      xmlns:rich="http://richfaces.org/rich"
      xmlns:notifications="http://java.sun.com/jsf/composite/components/org/inra/ecoinfo/notifications"
      xmlns:identification="http://java.sun.com/jsf/composite/components/org/inra/ecoinfo/identification"
      xmlns:popups="http://java.sun.com/jsf/composite/components/org/inra/ecoinfo/popups">

    <ui:composition template="/templates/template.xhtml">

        <ui:define name="body">

            <f:loadBundle basename="org.inra.ecoinfo.jsf.popupPanelGlacpe" var="popupPanelTextGlacpe" />
            <div style="display:none">
                <rich:popupPanel id="endProcessPopup" autosized="true" modal="true" moveable="true" width="400">
                    <h:outputText style="font-weight:bold;" value="#{popupPanelTextGlacpe.PARAM_MSG_PROCESSING}" />
                    <h:panelGroup layout="block">
                        <h:form>
                            <p>
                                #{popupPanelTextGlacpe.PARAM_MSG_PROCESS}
                                <h:commandLink immediate="true" style="display: inline">#{popupPanelTextGlacpe.PARAM_MSG_RELOAD}</h:commandLink>
                                    #{popupPanelTextGlacpe.PARAM_MSG_BACK}
                                <h:commandLink immediate="true" action="home" style="display: inline">#{popupPanelTextGlacpe.PARAM_MSG_HOME}</h:commandLink>
                            </p>
                        </h:form>
                    </h:panelGroup>
                </rich:popupPanel>
            </div>
            <a4j:status name="statusWaitLongerExtract"
                        onstart="#{rich:component('beginProcessPopup')}.show();"
                        onstop="#{rich:component('beginProcessPopup')}.hide(); #{rich:component('endProcessPopup')}.show();"
                        onerror="#{rich:component('beginProcessPopup')}.hide(); refreshAfterDatasetErrors()" 
                        />

            <f:loadBundle basename="org.inra.ecoinfo.extraction.jsf.extractioninterface" var="extractioninterface" />
            <f:loadBundle basename="org.inra.ecoinfo.jsf.index" var="index" />
            <h:outputStylesheet library="css"
                                name="extraction/template-extract.css" />

            <a4j:jsFunction name="updateCommentExtraction"
                            action="#{uiBean.extract}" status="statusWaitLongerExtract" render="@none"
                            limitRender="true"
                            onbegin="#{rich:component('popupCommentExtraction')}.hide()">
                <a4j:param name="param1"
                           assignTo="#{uiBean.parametersRequest.commentExtraction}" />
            </a4j:jsFunction>

            <h:form id="formExtraction">
            <div style="display:none">
                <rich:popupPanel id="popupCommentExtraction" autosized="true"
                                 modal="true" moveable="true">
                    <f:facet name="header">
                        <h:outputText escape="false"
                                      value="#{extractioninterface.PROPERTY_MSG_ADD_COMMENT}" />
                    </f:facet>
                    <f:facet name="controls">
                        <h:graphicImage name="close.png" library="images"
                                        styleClass="logout"
                                        onclick="#{rich:component('popupCommentExtraction')}.hide(); return false;" />
                    </f:facet>

                    <h:panelGroup layout="block" styleClass="popupCommentExtraction">
                        <h:outputText
                            value="#{extractioninterface.PROPERTY_MSG_CAN_WRITE_COMMENT}"
                            styleClass="intro" />
                        <br />
                        <h:inputTextarea id="textAreaCommentExtraction"
                                         value="#{uiBean.parametersRequest.commentExtraction}" />
                        <br />
                        <a4j:commandButton value="#{extractioninterface.PROPERTY_MSG_SEND_EXTRACT}" render="@none"
                                           styleClass="buttonPopupExtraction" execute="@none"
                                           limitRender="true"
                                           onclick="updateCommentExtraction(#{rich:element('textAreaCommentExtraction')}.value)" />
                    </h:panelGroup>

                </rich:popupPanel>
            </div>

                <h1>
                    <h:panelGroup styleClass="navigation">
                        <h:panelGroup styleClass="navigationItem">
                            <h:graphicImage name="home.png" library="images" />
                            <h:outputLink value="index.jsf">#{index.PARAM_MSG_BREADCRUMBS}</h:outputLink>
                        </h:panelGroup>
                        <h:panelGroup styleClass="navigationItem">#{extractioninterface.PARAM_MSG_BREADCRUMBS}</h:panelGroup>
                    </h:panelGroup>
                    <h:panelGroup styleClass="title">
                        <h:graphicImage name="download.png" library="images" />
                        <h:outputText value="#{titleExtraction}" />
                    </h:panelGroup>
                </h1>
                <p class="intro-main">
                    <h:outputText value="#{introMain}" />
                </p>

                <h:panelGroup layout="block" styleClass="subcontainer">
                    <h:panelGroup layout="block" styleClass="left">
                        <h:panelGroup id="navigationSteps">
                            <h2>
                                <a4j:commandButton id="prevStepButton" status="statusWaitModal"
                                                   value="&lt;&lt; #{extractioninterface.PROPERTY_MSG_PREV_STEP}" styleClass="buttonStepPrev"
                                                   action="#{uiBean.prevStep}" rendered="#{uiBean.step>1}"
                                                   render="parametersRequest, workspace, navigationSteps"
                                                   >
                                </a4j:commandButton>
                                <h:panelGroup styleClass="titleStep">
                                    <h:outputText value="#{extractioninterface.PROPERTY_MSG_STEP} #{uiBean.titleForStep}" />
                                    <h:panelGroup id="validImage">
                                        <h:graphicImage name="accepted.png" library="images"
                                                        rendered="#{uiBean.isStepValid}" />
                                    </h:panelGroup>
                                </h:panelGroup>
                                <a4j:commandButton id="nextStepButton" value="#{extractioninterface.PROPERTY_MSG_NEXT_STEP} >>" status="statusWaitModal"
                                                   styleClass="buttonStepNext" action="#{uiBean.nextStep}"
                                                   render="parametersRequest, workspace,navigationSteps"
                                                   disabled="#{not uiBean.isStepValid}">
                                </a4j:commandButton>
                            </h2>
                        </h:panelGroup>
                        <rich:togglePanel layout="block" id="workspace"
                                          binding="#{uiBean.togglePanel}">
                            <ui:insert name="togglePanelItems" />

                        </rich:togglePanel>
                    </h:panelGroup>

                    <h:panelGroup layout="block" styleClass="right"
                                  id="parametersRequest">

                        <rich:accordion switchType="ajax" id="parametersRequestSteps"
                                        itemHeaderClass="headerParametersRequest"
                                        binding="#{uiBean.accordion}">
                            <ui:insert name="accordionItems" />
                        </rich:accordion>

                        <h:panelGroup
                            styleClass="panelControlsWrapper launchWrapper #{uiBean.parametersRequest.formIsValid?'':'disabled'}"
                            layout="block">
                            <h:panelGroup styleClass="panelControls panelControlsLaunch">
                                <h:panelGroup styleClass="control">
                                    <a4j:commandLink
                                        oncomplete="#{rich:component('popupCommentExtraction')}.show();"
                                        execute="@none" limitRender="true"
                                        render="popupCommentExtraction"
                                        disabled="#{not uiBean.parametersRequest.formIsValid}">
                                        <h:graphicImage value="#{resource['images:check.png']}" />
                                        <h:outputText value="#{extractioninterface.PROPERTY_MSG_EXTRACT}" />
                                    </a4j:commandLink>
                                </h:panelGroup>
                            </h:panelGroup>
                        </h:panelGroup>
                    </h:panelGroup>
                </h:panelGroup>
            </h:form>
        </ui:define>
    </ui:composition>
</html>
